<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="transaction"
            type="com.yono.messeripos.models.PaymentPending" />

        <variable
            name="date"
            type="String" />

        <variable
            name="transactionStatus"
            type="String" />

        <variable
            name="grossAmount"
            type="String" />
    </data>

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvHistory"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:cardCornerRadius="10dp"
        android:layout_margin="10dp"
        app:cardElevation="2dp"
        tools:ignore="MissingConstraints">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp">

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/tvPay"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/roboto"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                android:textColor="@android:color/black"
                android:textStyle="bold"
                android:textAllCaps="true"
                tools:text="@string/hint_pay"
                android:text="Pending"
                app:layout_constraintTop_toTopOf="parent" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/tvDate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/roboto"
                android:textSize="16sp"
                tools:text="@tools:sample/date/ddmmyy"
                android:text="@{date}"
                app:layout_constraintStart_toStartOf="@id/tvPay"
                app:layout_constraintTop_toBottomOf="@+id/tvPay" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/tvOrder"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/roboto"
                android:textSize="16sp"
                android:text="@{transaction.id_orders}"
                tools:text="#6821739123"
                app:layout_constraintStart_toStartOf="@id/tvDate"
                app:layout_constraintTop_toBottomOf="@+id/tvDate" />

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/tvVA"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{grossAmount}"
                android:textAllCaps="true"
                android:textColor="#000"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                tools:text="@tools:sample/first_names" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </com.google.android.material.card.MaterialCardView>
</layout>